payments.convertStarGift
Convert a received gift » into Telegram Stars: this will permanently destroy the gift, converting it into RawStarGift.convert_stars Telegram Stars, added to the user's balance. Note that RawStarGift.convert_stars will be less than the buying price (RawStarGift.stars) of the gift if it was originally bought using Telegram Stars bought a long time ago.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Convert a received gift » into Telegram Stars: this will permanently destroy the gift, converting it into RawStarGift.convert_stars Telegram Stars, added to the user's balance. Note that RawStarGift.convert_stars will be less than the buying price (RawStarGift.stars) of the gift if it was originally bought using Telegram Stars bought a long time ago.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.convertStarGift" \ -H "Content-Type: application/json" \ -d '{ "params": { "stargift": { "_": "inputSavedStarGiftUser", "msgId": 0 } } }'{ "result": true}connectStarRefBot
Join a bot's [affiliate program, becoming an affiliate »](https://core.telegram.org/api/bots/referrals#becoming-an-affiliate)
craftStarGift
Craft a new [collectible gift »](https://core.telegram.org/api/gifts#collectible-gifts) by combining 1 to 4 owned collectible gifts of the same base gift type. The passed gifts must all have the same `RawStarGiftUnique`.gift_id, must be usable for crafting, and must not be blocked by a future can_craft_at timestamp. The first passed gift must not be [located on the TON blockchain](https://core.telegram.org/api/gifts#hosted-collectible-gifts).